Total Access Docs
Openapi

List work items

GET
/api/v1/work-items

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Query Parameters

item_type?string

Filter by work item type

status?string

Filter by status

limit?integer
Rangevalue <= 500
Default50
offset?integer
Default0

Header Parameters

X-API-Version?string

Date-based minor version negotiation (e.g. 2026-07-01). If omitted, the latest version is used.

Match^\d{4}-\d{2}-\d{2}$

Response Body

application/json

curl -X GET "https://example.com/api/v1/work-items"
{  "success": true,  "data": [    {      "id": 0,      "item_number": "string",      "item_type": "string",      "title": "string",      "description": "string",      "status": "string",      "priority": "string",      "client_id": 0,      "assigned_to": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "api_version": "string",    "request_id": "string",    "pagination": {      "total": 0,      "limit": 0,      "offset": 0    }  }}